
QGIS Application - Bug report #15168

One road missing upon Add Vector Layer!

2016-06-28 07:50 PM - Dan Jacobson

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Vectors

Affected QGIS version:2.14.3 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23107

Description

I have discovered a very serious data import bug.

Let's take the following KMZ file. zk.kmz .

When viewed on

https://www.google.com/maps/d/viewer?hl=en&#38;authuser=0&#38;mid=1og2sO2lvdsNpU-U0c3izhRTB6NU

http://www.bing.com/maps/default.aspx?mapurl=http://www.google.com/maps/d/kml?mid=1og2sO2lvdsNpU-U0c3izhRTB6NU

But when imported with Add Vector Layer, the middle short road is GONE!

Associated revisions

Revision 5f662762 - 2016-06-30 02:28 PM - Martin Dobias

Fix incorrectly loaded sublayers if they had the same name (fixes #15168)

Use "layerid=N" instead of "layername=XYZ" for OGR sublayers

History

#1 - 2016-06-28 07:52 PM - Dan Jacobson

When viewed elsewhere, the middle short road is there. But not when imported into Qgis.

One might not even notice the data corruption!

#2 - 2016-06-30 02:31 AM - Martin Dobias

- Assignee set to Martin Dobias

#3 - 2016-06-30 05:30 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"5f6627624ec4711857c5a147c405dac6fb5cfa76".

Files

zk.kmz 4.67 KB 2016-06-28 Dan Jacobson
